
Redmine - Defect #13575

Graphic characters not exported

2013-03-23 22:35 - Ivan Cenov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.3.0

Description

Here is a sample how the graphic characters are not exported well. This is a sample state machine diagram:

          ┌───────────────┐        evLowTemp, evHighTemp           ┌───────────────┐

          │  sP1_BADTEMP  ├───────────────────◄────────────────────┤ sP1_LOWVOLTAGE│

          └───────┬───────┘                (P1a4)                  └───────┬───────┘

                  ▲                                                        ▲

                  │ evLowTemp, evHighTemp                                  │ evLowVoltage

                  │       (P1a4)                                           │    (P1a5)

                  │                    ┌───────────────┐                   │

                  └────────────────────┤   sP1_IDLE    ├───────────────────┘

                                       └───────────────┘               

All versions are affected. Try to export to PDF. You will see squares instead of lines and arrows in the exported PDF file.

Related issues:

Related to Redmine - Defect #10681: Export to Persian PDF problem Closed

Related to Redmine - Defect #13781: CJK(Chinese/Japanese/Korean) characters a... Closed

Related to Redmine - Defect #20499: Bangla charater of PDF New

History

#1 - 2013-03-24 15:21 - Filou Centrinov

Related with #10681. Same problem with persian or chinese characters.

#2 - 2013-03-24 18:50 - Ivan Cenov

It seems the problem is the font that is used for rendering the content. There is a set of fonts that are used and they are in 

source:/trunk/lib/plugins/rfpdf/lib/fonts Probably these fonts have no defined graphic characters in them.

Font selection is made in source:/trunk/lib/redmine/export/pdf.rb#L40

I suspect that the missing characters should be added to the fonts. However I do not know how ... :(

#3 - 2013-03-29 16:38 - Filou Centrinov

The font (freesans) can be easily updated from http://sourceforge.net/projects/tcpdf/files/

But you will still have the problem with displaying your graphic, because pre-Tags are not considered yet and so it's not displayed in mono font.

#4 - 2013-03-29 19:34 - Filou Centrinov

How ever, I regret an font file update, because the font file are much bigger than before. Only an update for the main font (FreeSans) would increase

the pdf file size about 220 kb. ... and not solving your problem.

#5 - 2013-03-29 20:42 - Ivan Cenov

I use pre tags because they preserve character width. The following is without pre-tags:

┌───────────────┐        evLowTemp, evHighTemp           ┌───────────────┐

│  sP1_BADTEMP  ├───────────────────◄────────────────────┤ sP1_LOWVOLTAGE│

└───────┬───────┘                (P1a4)                  └───────┬───────┘

The size of PDF file is not so important.
#6 - 2013-03-29 21:20 - Filou Centrinov

Ivan Cenov wrote:

I use pre tags because they preserve character width. The following is without pre-tags:

┌───────────────┐        evLowTemp, evHighTemp           ┌───────────────┐

│  sP1_BADTEMP  ├───────────────────◄────────────────────┤ sP1_LOWVOLTAGE│

└───────┬───────┘                (P1a4)                  └───────┬───────┘

 This is like you will see it in the pdf after the font update. I think this won't satisfy you.

#7 - 2015-08-09 08:32 - Toshi MARUYAMA

- Related to Defect #20499: Bangla charater of PDF added

#8 - 2015-12-10 12:49 - Jun NAITOH

- File jkjkjk-306.pdf added

- File Graphic_characters_pdf_redmine320.png added

 

I think this problem was fixed by Redmine 3.2(rbpdf 1.19.0).

This is a sample in English locale (en.yml).

#9 - 2016-01-08 07:47 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Jun NAITOH wrote:

I think this problem was fixed by Redmine 3.2(rbpdf 1.19.0).

 Thank you.

Files

jkjkjk-306.pdf 128 KB 2015-12-10 Jun NAITOH

Graphic_characters_pdf_redmine320.png 40.5 KB 2015-12-10 Jun NAITOH
